org.apache.poi.hwpf.model

## Class PropertyModifier

- java.lang.Object
- - org.apache.poi.hwpf.model.PropertyModifier

- All Implemented Interfaces:
    Duplicatable

      @Internal
      public final class PropertyModifier
      extends java.lang.Object
      implements Duplicatable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyModifier(PropertyModifier other)`
    `PropertyModifier(short value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected PropertyModifier` | `clone()` Deprecated.
    `PropertyModifier` | `copy()`
    `boolean` | `equals(java.lang.Object obj)`
    `short` | `getIgrpprl()` "Index to a grpprl stored in CLX portion of file"
    `short` | `getIsprm()`
    `short` | `getVal()`
    `short` | `getValue()`
    `int` | `hashCode()`
    `boolean` | `isComplex()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyModifier

          public PropertyModifier(short value)

    - #### PropertyModifier

          public PropertyModifier(PropertyModifier other)

  - ### Method Detail

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          protected PropertyModifier clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public PropertyModifier copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Returns:
        a deep copy of the implementing class / instance

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getIgrpprl

          public short getIgrpprl()

      "Index to a grpprl stored in CLX portion of file"

    - #### getIsprm

          public short getIsprm()

    - #### getVal

          public short getVal()

    - #### getValue

          public short getValue()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isComplex

          public boolean isComplex()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.